Overview
DELETE/friends/{userId}friends

Remove the friendship/request between the caller and a user (either party)

Delete a record from friends by userId.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • userIdpathstring
Responses
204

Friendship removed

No response body.

401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/friends/{userId}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/friends/{userId}", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();